Skip to main content
POST
/
v1
/
ingest
/
batch
Ingest Batch
curl --request POST \
  --url https://api.example.com/v1/ingest/batch \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "records": [
    {
      "external_id": "<string>",
      "source": "<string>",
      "title": "<string>",
      "body": "",
      "severity": "p3",
      "team": "<string>",
      "external_url": "<string>",
      "source_created_at": "<string>",
      "source_updated_at": "<string>",
      "connector_id": "<string>"
    }
  ]
}
'
{}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
records
IngestRecord · object[]
required
Required array length: 1 - 500 elements

Response

Successful Response

The response is of type Response Ingest Batch V1 Ingest Batch Post · object.